## libbigwig 0.4.4+dfsg

=== Makefile ===
CC ?= gcc
AR ?= ar
RANLIB ?= ranlib
CFLAGS ?= -g -Wall -O3 -Wsign-compare
LIBS = -lcurl -lm -lz
EXTRA_CFLAGS_PIC = -fpic
LDFLAGS =
LDLIBS =
INCLUDES = 

prefix = /usr/local
includedir = $(prefix)/include
libdir = $(exec_prefix)/lib

.PHONY: all clean lib test doc

.SUFFIXES: .c .o .pico

all: lib

lib: lib-static lib-shared

lib-static: libBigWig.a

lib-shared: libBigWig.so

doc:
	doxygen

OBJS = io.o bwValues.o bwRead.o bwStats.o bwWrite.o

.c.o:
	$(CC) -I. $(CFLAGS) $(INCLUDES) -c -o $@ $<

.c.pico:
	$(CC) -I. $(CFLAGS) $(INCLUDES) $(EXTRA_CFLAGS_PIC) -c -o $@ $<

libBigWig.a: $(OBJS)
	-@rm -f $@
	$(AR) -rcs $@ $(OBJS)
	$(RANLIB) $@

libBigWig.so: $(OBJS:.o=.pico)
	$(CC) -shared $(LDFLAGS) -o $@ $(OBJS:.o=.pico) $(LDLIBS) $(LIBS)

test/testLocal: libBigWig.a
	$(CC) -o $@ -I. $(CFLAGS) test/testLocal.c libBigWig.a $(LIBS)

test/testRemoteManyContigs: libBigWig.a
	$(CC) -o $@ -I. $(CFLAGS) test/testRemoteManyContigs.c libBigWig.a $(LIBS)

test/testRemote: libBigWig.a
	$(CC) -o $@ -I. $(CFLAGS) test/testRemote.c libBigWig.a $(LIBS)

test/testWrite: libBigWig.a
	$(CC) -o $@ -I. $(CFLAGS) test/testWrite.c libBigWig.a $(LIBS)

test/exampleWrite: libBigWig.so
	$(CC) -o $@ -I. -L. $(CFLAGS) test/exampleWrite.c -lBigWig $(LIBS) -Wl,-rpath .

test/testBigBed: libBigWig.a
	$(CC) -o $@ -I. $(CFLAGS) test/testBigBed.c libBigWig.a $(LIBS)

test/testIterator: libBigWig.a
	$(CC) -o $@ -I. $(CFLAGS) test/testIterator.c libBigWig.a $(LIBS)

test: test/testLocal test/testRemote test/testWrite test/testLocal test/exampleWrite test/testRemoteManyContigs test/testBigBed test/testIterator
	./test/test.py

clean:
	rm -f *.o libBigWig.a libBigWig.so *.pico test/testLocal test/testRemote test/testWrite test/exampleWrite test/testRemoteManyContigs test/testBigBed test/testIterator example_output.bw

install: libBigWig.a libBigWig.so
	install -d $(prefix)/lib $(prefix)/include
	install libBigWig.a $(prefix)/lib
	install libBigWig.so $(prefix)/lib
	install *.h $(prefix)/include

## libbigwig 0.4.2+dfsg

=== debian/changelog ===
libbigwig (0.4.2+dfsg-2) unstable; urgency=medium

  * Fixed FTBFS - missing dependency
  * Added Debian Med as maintainer

 -- Steffen Moeller <moeller@debian.org>  Mon, 06 May 2019 10:34:49 +0200

libbigwig (0.4.2+dfsg-1) UNRELEASED; urgency=medium

  * Initial release (Closes: 928400)
  * New upstream release

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 May 2019 18:42:40 +0200

=== debian/control ===
Source: libbigwig
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11), libcurl4-gnutls-dev|libcurl-dev, zlib1g-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/dpryan79/libBigWig/
Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git

Package: libbigwig0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: curl
Description: C library for handling bigWig files
 This package provides a C library for reading/parsing local and remote
 bigWig and bigBed files.  This library was refurbished to particularly
 suit to be wrapped by scripting languages by avoiding early bailouts
 in case of errors.

Package: libbigwig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbigwig0 (= ${binary:Version}), ${misc:Depends}
Description: C library for handling bigWig files - header files
 This package provides the files needed to develop with the libBigWig
 C library for reading/parsing local and remote bigWig and bigBed files.

Package: libbigwig-doc
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: C library for handling bigWig files - documentation
 This package provides the doxygen-created inline documentation needed
 to develop with the libBigWig C library for reading/parsing local and
 remote bigWig and bigBed files.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
	#mv $(CURDIR)/debian/tmp/usr/lib/*so* $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
	mv *.so.* $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
	# This is a symbolic link, not a copy
	mv *.so $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)

override_dh_auto_test:
	echo "W: Not testing - depending on online resources"

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs
	rm -rf libBigWig*so*

=== debian/watch ===
version=4
opts="dversionmangle=auto,oversionmangle=s/$/+dfsg/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libbigwig-$1.tar.gz%" \
   https://github.com/dpryan79/libBigWig/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libbigwig 0.4.4+dfsg

=== debian/changelog ===
libbigwig (0.4.4+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/copyright
  * Remove patches pythonVersion.patch that are missing from
    debian/patches/series.

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Dec 2019 12:36:34 +0100

=== debian/control ===
Source: libbigwig
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libcurl4-gnutls-dev|libcurl-dev,
               zlib1g-dev
Build-Depends-Indep: doxygen
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git
Homepage: https://github.com/dpryan79/libBigWig/

Package: libbigwig0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: curl
Description: C library for handling bigWig files
 This package provides a C library for reading/parsing local and remote
 bigWig and bigBed files.  This library was refurbished to particularly
 suit to be wrapped by scripting languages by avoiding early bailouts
 in case of errors.

Package: libbigwig-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libbigwig0 (= ${binary:Version}),
         ${misc:Depends}
Description: C library for handling bigWig files - header files
 This package provides the files needed to develop with the libBigWig
 C library for reading/parsing local and remote bigWig and bigBed files.

Package: libbigwig-doc
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: C library for handling bigWig files - documentation
 This package provides the doxygen-created inline documentation needed
 to develop with the libBigWig C library for reading/parsing local and
 remote bigWig and bigBed files.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,9 @@
 	mv *.so $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo "W: Not testing - depending on online resources"
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean

## libbigwig 0.4.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,27 @@
 AR ?= ar
 RANLIB ?= ranlib
 CFLAGS ?= -g -Wall -O3 -Wsign-compare
-LIBS = -lcurl -lm -lz
+LIBS = -lm -lz
 EXTRA_CFLAGS_PIC = -fpic
 LDFLAGS =
 LDLIBS =
 INCLUDES = 
+
+# Create a simple test-program to check if gcc can compile with curl
+tmpfile:=$(shell mktemp --suffix=.c)
+$(file >$(tmpfile),#include <curl/curl.h>)
+$(file >>$(tmpfile),int main() { return 0; })
+HAVE_CURL:=$(shell $(CC) $(CFLAGS) $(EXTRA_CFLAGS_PIC) $(LIBS) -lcurl $(tmpfile) -o /dev/null >/dev/null 2>&1 && echo "YES")
+$(shell rm $(tmpfile))
+
+ifeq ($(HAVE_CURL),YES)
+	# If yes, add the library
+	LIBS += -lcurl
+else
+	# and if not, disable CURL specific code compilation
+	CFLAGS += -DNOCURL
+endif
+
 
 prefix = /usr/local
 includedir = $(prefix)/include

=== debian/changelog ===
libbigwig (0.4.6+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Feb 2022 08:35:08 +0100

libbigwig (0.4.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix team address
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2020 22:57:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: libbigwig
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libcurl4-gnutls-dev|libcurl-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
 Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git
 Homepage: https://github.com/dpryan79/libBigWig/
+Rules-Requires-Root: no
 
 Package: libbigwig0
 Architecture: any
@@ -38,6 +39,7 @@
 Architecture: all
 Section: libdevel
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: C library for handling bigWig files - documentation
  This package provides the doxygen-created inline documentation needed
  to develop with the libBigWig C library for reading/parsing local and

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,11 @@
 	mv *.so.* $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
 	# This is a symbolic link, not a copy
 	mv *.so $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
+	mv $(CURDIR)/debian/tmp/usr/lib/*.a $(CURDIR)/debian/tmp/usr/lib/$(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)/
+
+override_dh_missing:
+	rm -f debian/tmp/usr/lib/libBigWig.so
+	dh_missing
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## libbigwig 0.4.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 	$(CC) -o $@ -I. $(CFLAGS) test/testWrite.c libBigWig.a $(LIBS)
 
 test/exampleWrite: libBigWig.so
-	$(CC) -o $@ -I. -L. $(CFLAGS) test/exampleWrite.c -lBigWig $(LIBS) -Wl,-rpath .
+	$(CC) -o $@ -I. -L. $(CFLAGS) test/exampleWrite.c libBigWig.a $(LIBS)
 
 test/testBigBed: libBigWig.a
 	$(CC) -o $@ -I. $(CFLAGS) test/testBigBed.c libBigWig.a $(LIBS)
@@ -81,7 +81,7 @@
 	$(CC) -o $@ -I. $(CFLAGS) test/testIterator.c libBigWig.a $(LIBS)
 
 test: test/testLocal test/testRemote test/testWrite test/testLocal test/exampleWrite test/testRemoteManyContigs test/testBigBed test/testIterator
-	./test/test.py
+	./test/test.py test test/test.bw
 
 clean:
 	rm -f *.o libBigWig.a libBigWig.so *.pico test/testLocal test/testRemote test/testWrite test/exampleWrite test/testRemoteManyContigs test/testBigBed test/testIterator example_output.bw

=== test/CMakeLists.txt ===
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

set(LOCAL_TEST_TARGETS "exampleWrite;testBigBed;testIterator;testLocal;testWrite")

set(REMOTE_TEST_TARGETS "testRemote;testRemoteManyContigs")

if (WITH_CURL)
  set(TEST_TARGETS "${LOCAL_TEST_TARGETS};${REMOTE_TEST_TARGETS}")
else()
  set(TEST_TARGETS "${LOCAL_TEST_TARGETS}")
endif()

set(LIBBIGWIG_COMPILER_WARNINGS -Wall -Wsign-compare)

foreach(TEST_TARGET ${TEST_TARGETS})
  add_executable(${TEST_TARGET} ${CMAKE_CURRENT_SOURCE_DIR}/${TEST_TARGET}.c)
  target_link_libraries(${TEST_TARGET} PUBLIC ${CONAN_LIBS}
                                              libBigWig::libbigwig)
  target_compile_features(${TEST_TARGET} PRIVATE c_std_${CMAKE_C_STANDARD})
  target_compile_options(${TEST_TARGET} PRIVATE ${LIBBIGWIG_COMPILER_WARNINGS})
endforeach()

=== debian/changelog ===
libbigwig (0.4.7+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Disable autopkgtest for i386,s390

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 10 Sep 2022 13:03:51 +0530

libbigwig (0.4.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests
  * Fix blhc failure

 -- Mohammed Bilal <mdbilal@disroot.org>  Mon, 29 Aug 2022 17:36:17 +0000

libbigwig (0.4.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add symbols file
  * Delete unneeded debian/*.dirs files
  * Use d-shlibs
  * Standards-Version: 4.6.1 (routine-update)
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Thu, 25 Aug 2022 07:59:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: libbigwig
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: libs
+Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               d-shlibs,
                libcurl4-gnutls-dev|libcurl-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
 Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git
 Homepage: https://github.com/dpryan79/libBigWig/
@@ -15,6 +16,7 @@
 
 Package: libbigwig0
 Architecture: any
+Section: libs
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -D_FORTIFY_SOURCE=2
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_build-indep:
	$(MAKE) doc

override_dh_auto_install:
	dh_auto_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include usr \
		    *.so
	# Remove broken temporary install
	rm -rf debian/tmp/usr/lib

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "W: Not testing - depending on online resources"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs
	rm -rf libBigWig*so*

## libbigwig 0.4.8+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(libBigWig LANGUAGES C)

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)

option(WITH_CURL "Enable CURL support" ON)
option(WITH_ZLIBNG "Link to zlib-ng instead of zlib" OFF)
option(BUILD_SHARED_LIBS "Build shared library" OFF)
option(ENABLE_TESTING "Build tests" OFF)

if(WITH_ZLIBNG)
  find_package(zlib-ng REQUIRED)
else()
  find_package(ZLIB REQUIRED)
endif()

if(WITH_CURL)
  find_package(CURL REQUIRED)
endif()

add_library(BigWig)
add_library(libBigWig::libbigwig ALIAS BigWig)

target_sources(
  BigWig
  PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/bwRead.c
          ${CMAKE_CURRENT_SOURCE_DIR}/bwStats.c
          ${CMAKE_CURRENT_SOURCE_DIR}/bwValues.c
          ${CMAKE_CURRENT_SOURCE_DIR}/bwWrite.c
          ${CMAKE_CURRENT_SOURCE_DIR}/io.c)

target_include_directories(BigWig PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

if(NOT WITH_CURL)
  target_compile_definitions(BigWig PUBLIC NOCURL)
endif()

target_link_libraries(
  BigWig PUBLIC $<IF:$<BOOL:${WITH_ZLIBNG}>,zlib-ng::zlib-ng,ZLIB::ZLIB>
                $<$<BOOL:${WITH_CURL}>:CURL::libcurl> m)

target_compile_features(BigWig PRIVATE c_std_${CMAKE_C_STANDARD})

set(LIBBIGWIG_COMPILER_WARNINGS -Wall -Wsign-compare)
target_compile_options(BigWig PRIVATE ${LIBBIGWIG_COMPILER_WARNINGS})

set(LIBBIGWIG_PUBLIC_HEADERS "bigWig.h;bigWigIO.h;bwCommon.h;bwValues.h")

set_target_properties(BigWig PROPERTIES PUBLIC_HEADER
                                        "${LIBBIGWIG_PUBLIC_HEADERS}")

if(ENABLE_TESTING)
  add_subdirectory(test)
endif()

include(GNUInstallDirs)
install(
  TARGETS BigWig
  BUNDLE DESTINATION ${CMAKE_INSTALL_BINDIR}
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libbigwig)

=== debian/changelog ===
libbigwig (0.4.8+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/control: move the -docs package to the docs section.

  [ Steffen Möller ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
    Set upstream metadata fields: Registry.
  * Fixed borked d/u/metadata
  * Binary package name libbigwig0t64 to libbigwig0
  * added d/.gitignore

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 Aug 2025 16:01:25 +0200

libbigwig (0.4.7+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062229

 -- Lukas Märdian <slyon@debian.org>  Thu, 29 Feb 2024 08:50:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               d-shlibs,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+               d-shlibs (>= 0.106~),
                libcurl4-gnutls-dev|libcurl-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libbigwig
 Vcs-Git: https://salsa.debian.org/med-team/libbigwig.git
 Homepage: https://github.com/dpryan79/libBigWig/
 Rules-Requires-Root: no
 
 Package: libbigwig0
+Provides: ${t64:Provides}
+Replaces: libbigwig0
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -39,7 +41,7 @@
 
 Package: libbigwig-doc
 Architecture: all
-Section: libdevel
+Section: doc
 Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: C library for handling bigWig files - documentation

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libcurl-dev, zlib1g-dev ,gcc
Restrictions: allow-stderr
Architecture: !s390x !i386

=== debian/watch ===
version=4
opts="repack,compression=xz,dversionmangle=auto,oversionmangle=s/$/+dfsg/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libbigwig-$1.tar.gz%" \
   https://github.com/dpryan79/libBigWig/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
